<?php
/**
 * WoWRoster.net WoWRoster
 *
 * LICENSE: Licensed under the Creative Commons
 *          "Attribution-NonCommercial-ShareAlike 2.5" license
 *
 * @copyright  2002-2007 WoWRoster.net
 * @license    http://creativecommons.org/licenses/by-nc-sa/2.5   Creative Commons "Attribution-NonCommercial-ShareAlike 2.5"
 * @version    SVN: $ v2.0 Titan99  $
 * @link       http://www.wowroster.net
 * @package    BankTry
 * @subpackage Installer
*/

if ( !defined('ROSTER_INSTALLED') )
{
    exit('Detected invalid access to this file!');
}

/**
 * Installer for GemsDisplay Addon
 *
 * @package    BankTry
 * @subpackage Installer
 *
 */
class BankTry
{
	var $active = true;
	var $icon = 'inv_box_01';

	var $upgrades = array(); // There are no previous versions to upgrade from

	var $version = '2.0.0-0';

	var $fullname = 'BankTry';
	var $description = 'Display guild bank try by category.';
	var $credits = array(
		array(	"name"=>	"Titan99",
			"info"=>	"Display guild bank try by category."),
	);


	/**
	 * Install Function
	 *
	 * @return bool
	 */
	function install()
	{
		global $installer, $roster;

		# Master data for the config file
		$installer->add_config("1,'startpage','display','display','master'");
		$installer->add_config("'110','guildbank_conf',NULL,'blockframe','menu'");
		$installer->add_config("'120','guildbank_rules','rostercp-addon-BankTry-rules','makelink','menu'");

		$installer->add_config("'1000', 'guildbank_ver', '1', 'select{Table^1|Inventory^2', 'guildbank_conf'");
		$installer->add_config("'1100', 'bank_money', '1', 'radio{yes^1|no^0', 'guildbank_conf'");
		$installer->add_config("'1200', 'banker_rankname', 'BankMule', 'text{50|30', 'guildbank_conf'");
		$installer->add_config("'1300', 'banker_fieldname', 'note', 'select{Player Note^note|Officer Note^officer_note|Guild Rank Number^guild_rank|Guild Title^guild_title|Player Name^name', 'guildbank_conf'");



		$installer->add_menu_button('BankTry_menu','guild', '', 'inv_box_01');

		$installer->add_query("
			DROP TABLE IF EXISTS `" . $installer->table('category') . "`;
		");

		$installer->add_query("
			CREATE TABLE `" . $installer->table('category') . "` (
				`id` int(11) NOT NULL auto_increment,
				`lang` varchar(4) NOT NULL,
				`name` varchar(50) NOT NULL,
				PRIMARY KEY  (`id`)
			) TYPE=MyISAM;
                ");

		$installer->add_query("
			DROP TABLE IF EXISTS `" . $installer->table('rules') . "`;
		");

		$installer->add_query("
			CREATE TABLE `" . $installer->table('rules') . "` (
				`id` INT NOT NULL auto_increment,
				`lang` VARCHAR( 4 ) NOT NULL ,
				`id_category` INT NOT NULL,
				`rule` VARCHAR( 100 ) NOT NULL, 
				`champ` VARCHAR( 15 ) NOT NULL DEFAULT 'item_name', 
				PRIMARY KEY ( `id` )
			) TYPE=MyISAM;
		");

		foreach( $roster->multilanguages as $lang )
		{
		  if(file_exists(realpath(dirname(__FILE__))."/../locale/install_".$lang.".php"))
			 include_once(realpath(dirname(__FILE__))."/../locale/install_".$lang.".php");
		}

		return true;
	}

	/**
	 * Upgrade Function
	 *
	 * @param string $oldversion
	 * @return bool
	 */
	function upgrade($oldversion)
	{
		return false;
	}

	/**
	 * Un-Install Function
	 *
	 * @return bool
	 */
	function uninstall()
	{
		global $installer;

		$installer->add_query("
			DROP TABLE IF EXISTS `" . $installer->table('category') . "`;
		");

		$installer->add_query("
			DROP TABLE IF EXISTS `" . $installer->table('rules') . "`;
		");

		$installer->remove_all_config();

		$installer->remove_all_menu_button();

		return true;
	}
}
